Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.javax.xml.xquery
Class XQException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              net.sf.saxon.javax.xml.xquery.XQException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  XQQueryException, XQWarning

    public class XQException

extends Exception

XQJ interfaces reconstructed from version 0.5 documentation

See Also:
  Serialized Form

Constructor Summary
`XQException(String message)`
`XQException(String message, Throwable cause, String vendorCode, XQException nextException)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XQException

    public XQException(String message)

### XQException

    public XQException(String message,
                       Throwable cause,
                       String vendorCode,
                       XQException nextException)

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.